/*
 * @author Ranides Atterwim <ranides@gmail.com>
 * @copyright Ranides Atterwim
 * @license WTFPL
 * @url http://ranides.net/projects/assira
 */
package net.ranides.assira.xml;

import org.w3c.dom.Document;

/**
 *
 * @author Ranides Atterwim <ranides@gmail.com>
 */
public interface XMLDocument {
    
    Document node();
    
    XMLElement attr(String name);
    
    XMLElement cdata(String value);
    
    XMLElement comment(String value);
    
    XMLElement fragment();
    
    XMLElement fragment(String xml);
    
    XMLElement tag(String tag);
    
    XMLElement entity(String name);
    
    XMLElement processing(String target, String value);
    
    XMLElement text(String value);
    
}
